import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";
import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";

var _templateObject;

var _excluded = ["variant"];
import React from "react";
import Button from "../../../ui/next/Button";
import styled from "../../../ui/styles/styled";

function PremiumButton(props) {
  var variant = props.variant,
      restProps = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/React.createElement(RoundedButton, _extends({
    "data-variant": variant
  }, restProps));
}

var RoundedButton = styled(Button)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  border-radius: 30px;\n  padding: ", " ", ";\n\n  &[data-variant=\"yellow\"] {\n    --premium-button-text: ", ";\n    --premium-button-bg: ", ";\n\n    &:disabled {\n      --premium-button-text: ", ";\n      --premium-button-bg: ", ";\n    }\n\n    &:hover:enabled,\n    &:focus:enabled {\n      --premium-button-text: ", ";\n      --premium-button-bg: ", ";\n    }\n  }\n\n  &[data-variant=\"green\"] {\n    --premium-button-text: ", ";\n    --premium-button-bg: ", ";\n\n    &:disabled {\n      --premium-button-text: ", ";\n      --premium-button-bg: ", ";\n    }\n\n    &:hover:enabled,\n    &:focus:enabled {\n      --premium-button-text: ", ";\n      --premium-button-bg: ", ";\n    }\n  }\n\n  &[data-variant=\"orange\"] {\n    --premium-button-text: #fff0e5;\n    --premium-button-bg: #ff8022;\n\n    &:disabled {\n      --premium-button-text: #ffd3b2;\n      --premium-button-bg: #fff0e5;\n    }\n\n    &:hover:enabled,\n    &:focus:enabled {\n      --premium-button-text: #fff0e5;\n      --premium-button-bg: #c5631a;\n    }\n  }\n\n  &:not([data-variant=\"blue\"]) {\n    color: var(--premium-button-text, \"revert\");\n    background-color: var(--premium-button-bg, \"revert\");\n  }\n"])), function (props) {
  return props.theme.spaces.md;
}, function (props) {
  return props.theme.spaces.lg;
}, function (_ref) {
  var theme = _ref.theme;
  return theme.colors.yellow[900];
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colors.yellow[500];
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colors.yellow[700];
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colors.yellow[50];
}, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colors.yellow[50];
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colors.yellow[700];
}, function (_ref7) {
  var theme = _ref7.theme;
  return theme.colors.green[50];
}, function (_ref8) {
  var theme = _ref8.theme;
  return theme.colors.green[500];
}, function (_ref9) {
  var theme = _ref9.theme;
  return theme.colors.green[300];
}, function (_ref10) {
  var theme = _ref10.theme;
  return theme.colors.green[50];
}, function (_ref11) {
  var theme = _ref11.theme;
  return theme.colors.green[50];
}, function (_ref12) {
  var theme = _ref12.theme;
  return theme.colors.green[700];
});
export default PremiumButton;